curl --request GET \
--url https://api.gcore.com/billing/org/v1/trials/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/trials/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/trials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"client_id": 123,
"client": {
"id": 2,
"company_name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"plan": {
"id": 123,
"name": "<string>"
},
"days_limit": 123,
"active_ranges": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"options": [
{
"internal_name": "<string>",
"name": "<string>",
"description": "<string>",
"unit": {
"id": 2,
"name": "<string>",
"internal_name": "<string>"
},
"value": 1,
"used_value": 123,
"remaining_value": 123,
"is_limit": true,
"feature": {
"id": 123,
"name": "<string>"
}
}
],
"remaining_duration": 123,
"is_trial_skipped": true
}Get a single Trial
Retrieve a single Trial by ID.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Response
Request successful.
ID of the client associated with the trial.
Client associated with the trial.
Show child attributes
Show child attributes
Product associated with the trial.
Show child attributes
Show child attributes
Plan associated with the trial.
Show child attributes
Show child attributes
The number of days for which the trial is valid.
List of active ranges for the trial.
Show child attributes
Show child attributes
The date and time when the trial was created.
List of trial options associated with the trial.
Show child attributes
Show child attributes
Remaining duration of the trial period in seconds. This is calculated as the difference between the end date of the trial and the current time. If the trial has not started or has ended, this field will be null.
Indicates if the trial is skipped.
Was this page helpful?